Expenses

Fetch expenses

Paginated list of the business's expenses.

GET
/api/expenses
AuthorizationBearer <token>

In: header

Query Parameters

page?number
limit?number
startDate?string
endDate?string
status?string
Value in"pending" | "rejected" | "saved" | "N/A" | "approved"

Response Body

application/json

curl -X GET "https://example.com/api/expenses"
{
  "data": [
    {
      "id": "string",
      "businessId": "string",
      "amount": 0,
      "currency": "string",
      "description": "string",
      "status": "pending",
      "date": "2019-08-24T14:15:22Z",
      "claimReimbursement": true,
      "receipt": [
        "string"
      ],
      "payoutId": "string",
      "expenseCategory": {
        "name": "string"
      },
      "department": {
        "name": "string"
      },
      "recipient": {
        "accountName": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "count": 0,
    "previousPage": 0,
    "nextPage": 0,
    "pageCount": 0,
    "totalRecords": 0
  }
}
Empty
Empty

How is this guide?

Last updated on